Show / Hide Table of Contents

# Struct ImFontKerningPairPtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImFontKerningPairPtr

### Constructors

| Improve this Doc View Source

#### ImFontKerningPairPtr(ImFontKerningPair*)

##### Declaration

    public ImFontKerningPairPtr(ImFontKerningPair*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontKerningPair* | nativePtr |

| Improve this Doc View Source

#### ImFontKerningPairPtr(IntPtr)

##### Declaration

    public ImFontKerningPairPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### AdvanceXAdjustment

##### Declaration

    public readonly ref float AdvanceXAdjustment { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Left

##### Declaration

    public readonly ref ushort Left { get; }

##### Property Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public readonly ImFontKerningPair*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
ImFontKerningPair* |

| Improve this Doc View Source

#### Right

##### Declaration

    public readonly ref ushort Right { get; }

##### Property Value

Type | Description
--- | ---
System.UInt16 |

### Operators

| Improve this Doc View Source

#### Implicit(ImFontKerningPair* to ImFontKerningPairPtr)

##### Declaration

    public static implicit operator ImFontKerningPairPtr(ImFontKerningPair*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontKerningPair* | nativePtr |

##### Returns

Type | Description
--- | ---
ImFontKerningPairPtr |

| Improve this Doc View Source

#### Implicit(ImFontKerningPairPtr to ImFontKerningPair*)

##### Declaration

    public static implicit operator ImFontKerningPair*(ImFontKerningPairPtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontKerningPairPtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
ImFontKerningPair* |

| Improve this Doc View Source

#### Implicit(IntPtr to ImFontKerningPairPtr)

##### Declaration

    public static implicit operator ImFontKerningPairPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
ImFontKerningPairPtr |